/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef NEWPROFILEDIALOG_H
#define NEWPROFILEDIALOG_H

#include "NewProfileDialogBase.h"
#include "vpnaccountdata.h"
#include <qtextedit.h>
#include <qobject.h>
#include <qptrlist.h>

/**
@author Christoph Thielecke
*/
class NewProfileDialog : public NewProfileDialogbase {
		Q_OBJECT
	public:
		NewProfileDialog( QPtrList<VpnAccountData> *AccountList, QTextEdit *LogOutput );
		~NewProfileDialog();

	public slots:
		void accept();
		void reject();
		void importCertificate();
		void connectiontypeChanged( const QString& );
		void authTypeChanged( const QString& );
		void profileNameChanged(const QString&);
		void advancedSettingsClicked();


	protected:
		QPtrList<VpnAccountData> *AccountList;
		QTextEdit *LogOutput;
		QString ConnectionType;
		QString Gateway;
		QString ID;
		QString Username;
		QString UserPassword;
		QString GroupPassword;
		QString ApplicationVersion;
		QString NtDomainName;
		QString PerfectForwardSecrecy;
		QString IkeGroup;
		bool saveUserPassword;
		bool saveGroupPassword;
		bool useApplicationVersion;
		bool useGlobalIpsecSecret;
		bool useIkeGroup;
		bool useLocalPort;
		bool useNtDomainName;
		bool useSingleDes;
		bool useAdvancedSettings;
		bool usePerfectSecrecy;
		int Port;

	public:
		bool newProfileCreated;
		VpnAccountData *profileData;
};

#endif
